Page MenuHomeVyOS Platform

Macvlan PPPoE support
Closed, ResolvedPublic

Description

In China, most ISP operators use the PPPoE protocol to access the Internet. In most cases, multiple PPPoE clients are allowed to run on single line simultaneously. Using macvlan to build multiple sub interfaces and using PPPoE, higher bandwidth can be obtained.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

sunser created this task.Sep 30 2019, 2:34 PM
sunser created this object in space S1 VyOS Public.
hagbard claimed this task.Sep 30 2019, 2:58 PM
hagbard triaged this task as Normal priority.Sep 30 2019, 3:02 PM
hagbard added a project: VyOS 1.3 Equuleus.

https://phabricator.vyos.net/T1635 needs to be done first

@sunser Did you try: set interfaces ethernet eth1 vif <vlanid> ... already?

Tested, if using Vif requires more physical lines, and switches can use Vif mode PPPoE dialing, using macvlan does not require additional equipment

Can you please clarify. What is Vif mode dialing and what has a vlan id to do with multiple physical lines? Does that mean your problem is solved?

hagbard changed the task status from Open to On hold.Dec 12 2019, 6:11 PM

@sunser Can you please clarify if you still encounter that issue?

pasik added a subscriber: pasik.Dec 12 2019, 8:39 PM
hagbard closed this task as Invalid.Feb 27 2020, 2:41 AM

No answer from user.

c-po added a subscriber: c-po.Feb 27 2020, 7:54 AM

This should actually be possible after the PPPoE interface rewrite in the latest rolling image.

See:

Dmitry changed the task status from Invalid to Resolved.Mar 12 2020, 8:53 AM
Dmitry added a subscriber: Dmitry.

Works correct on the latest rolling.

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mar 22 2020, 8:52 AM